<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tool="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginBottom="@dimen/margin_100"
        android:fillViewport="true"
        android:padding="@dimen/margin_15"
        app:layout_constraintTop_toTopOf="parent">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/signUp"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginTop="@dimen/margin_10"
            android:orientation="vertical"
            app:layout_constraintBottom_toBottomOf="parent">

            <ImageView
                android:id="@+id/ivInfo"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:contentDescription="@string/next"
                android:src="@drawable/svg_info"
                app:layout_constraintBottom_toTopOf="@+id/btnReferrer"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintHorizontal_bias="1.0"
                app:layout_constraintStart_toEndOf="@+id/txtSignUp"
                app:layout_constraintTop_toTopOf="parent"
                app:layout_constraintVertical_bias="0.0" />

            <TextView
                android:id="@+id/txtSignUp"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:maxLines="2"
                android:padding="@dimen/margin_5"
                android:text="@string/almostThere"
                android:textColor="@color/black"
                android:textSize="@dimen/text_size_20"
                android:textStyle="bold"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <TextView
                android:id="@+id/btnReferrer"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/margin_15"
                android:text="@string/moreInfo"
                android:textColor="@color/black"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@id/txtSignUp" />

            <!-- Day  -->
            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/tlDay"
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.Dense"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/margin_15"
                android:hint="@string/date_of_birth_dd_mm_yyyy"
                android:padding="@dimen/margin_3"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/btnReferrer">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/edtDate"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:digits="@string/number"
                    android:focusable="false"
                    android:inputType="none"
                    android:textColorHint="@color/greyColor2"
                    android:textSize="@dimen/text_size_14"
                    tool:ignore="TextContrastCheck" />

            </com.google.android.material.textfield.TextInputLayout>

            <!-- Month  -->
            <!--            <com.google.android.material.textfield.TextInputLayout-->
            <!--                android:id="@+id/tlMonth"-->
            <!--                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.Dense"-->
            <!--                android:layout_width="@dimen/margin_100"-->
            <!--                android:layout_height="wrap_content"-->
            <!--                android:layout_marginStart="@dimen/margin_5"-->
            <!--                android:layout_marginTop="@dimen/margin_15"-->
            <!--                android:hint="@string/month"-->
            <!--                android:padding="@dimen/margin_3"-->
            <!--                app:layout_constraintStart_toEndOf="@+id/tlDay"-->
            <!--                app:layout_constraintTop_toBottomOf="@+id/btnReferrer">-->

            <!--                <com.google.android.material.textfield.TextInputEditText-->
            <!--                    android:id="@+id/edtMonth"-->
            <!--                    android:layout_width="match_parent"-->
            <!--                    android:layout_height="wrap_content"-->
            <!--                    android:gravity="center"-->
            <!--                    android:digits="@string/number"-->
            <!--                    android:inputType="number"-->
            <!--                    android:textColorHint="@color/greyColor2"-->
            <!--                    android:textSize="@dimen/text_size_14"-->
            <!--                    tool:ignore="TextContrastCheck" />-->

            <!--            </com.google.android.material.textfield.TextInputLayout>-->

            <!-- Year  -->
            <!--            <com.google.android.material.textfield.TextInputLayout-->
            <!--                android:id="@+id/tlYear"-->
            <!--                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.Dense"-->
            <!--                android:layout_width="@dimen/margin_150"-->
            <!--                android:layout_height="wrap_content"-->
            <!--                android:layout_marginStart="@dimen/margin_5"-->
            <!--                android:layout_marginTop="@dimen/margin_15"-->
            <!--                android:hint="@string/year"-->
            <!--                android:padding="@dimen/margin_3"-->
            <!--                app:layout_constraintStart_toEndOf="@+id/tlDay"-->
            <!--                app:layout_constraintTop_toBottomOf="@+id/btnReferrer">-->

            <!--                <com.google.android.material.textfield.TextInputEditText-->
            <!--                    android:id="@+id/edtYear"-->
            <!--                    android:layout_width="match_parent"-->
            <!--                    android:layout_height="wrap_content"-->
            <!--                    android:gravity="center"-->
            <!--                    android:digits="@string/number"-->
            <!--                    android:inputType="number"-->
            <!--                    android:textColorHint="@color/greyColor2"-->
            <!--                    android:textSize="@dimen/text_size_14"-->
            <!--                    tool:ignore="TextContrastCheck" />-->

            <!--            </com.google.android.material.textfield.TextInputLayout>-->

            <!--Full Name  -->
            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/tlFullName"
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.Dense"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/margin_5"
                android:hint="@string/fullName"
                android:padding="@dimen/margin_3"
                app:layout_constraintTop_toBottomOf="@+id/tlDay">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/edtFullName"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:digits="@string/onlyAlphabets"
                    android:inputType="text"
                    android:textColorHint="@color/greyColor2"
                    android:textSize="@dimen/text_size_14"
                    tool:ignore="TextContrastCheck" />

            </com.google.android.material.textfield.TextInputLayout>

            <!--Email  -->
            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/tlEmail"
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.Dense"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/margin_5"
                android:hint="@string/Email"
                android:padding="@dimen/margin_3"
                app:layout_constraintTop_toBottomOf="@+id/tlFullName">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/edtEmail"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:inputType="textEmailAddress"
                    android:textColorHint="@color/greyColor2"
                    android:textSize="@dimen/text_size_14"
                    tool:ignore="TextContrastCheck" />

            </com.google.android.material.textfield.TextInputLayout>

            <!--Address Line 1  -->
            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/tlAddressLine1"
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.Dense"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/margin_5"
                android:hint="@string/AddressLine1"
                android:padding="@dimen/margin_3"
                app:layout_constraintTop_toBottomOf="@+id/tlEmail">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/edtAddressLine1"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:inputType="text"
                    android:textColorHint="@color/greyColor2"
                    android:textSize="@dimen/text_size_14"
                    tool:ignore="TextContrastCheck" />

            </com.google.android.material.textfield.TextInputLayout>

            <!--Address Line 2  -->
            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/tlAddressLine2"
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.Dense"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/margin_5"
                android:hint="@string/addressLine2"
                android:padding="@dimen/margin_3"
                app:layout_constraintTop_toBottomOf="@+id/tlAddressLine1">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/edtAddressLine2"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:inputType="text"
                    android:textColorHint="@color/greyColor2"
                    android:textSize="@dimen/text_size_14"
                    tool:ignore="TextContrastCheck" />

            </com.google.android.material.textfield.TextInputLayout>

            <!--PinCode -->
            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/tlPinCode"
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.Dense"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/margin_5"
                android:hint="@string/pinCode"
                android:padding="@dimen/margin_3"
                app:layout_constraintTop_toBottomOf="@+id/tlAddressLine2">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/edtPinCode"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:digits="@string/number"
                    android:inputType="number"
                    android:maxLength="6"
                    android:maxLines="1"
                    android:textColorHint="@color/greyColor2"
                    android:textSize="@dimen/text_size_14"
                    tool:ignore="TextContrastCheck" />

            </com.google.android.material.textfield.TextInputLayout>

            <!--City -->
            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/tlCity"
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.Dense.ExposedDropdownMenu"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/margin_5"
                android:hint="@string/city"
                android:padding="@dimen/margin_3"
                app:layout_constraintTop_toBottomOf="@+id/tlPinCode">

                <com.google.android.material.textfield.MaterialAutoCompleteTextView
                    android:id="@+id/spCity"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:inputType="none"
                    android:textColorHint="@color/greyColor2"
                    android:textSize="@dimen/text_size_14"
                    tool:ignore="TextContrastCheck" />

            </com.google.android.material.textfield.TextInputLayout>

            <!--State -->
            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/tlState"
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.Dense.ExposedDropdownMenu"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/margin_5"
                android:hint="@string/state"
                android:padding="@dimen/margin_3"
                app:layout_constraintTop_toBottomOf="@+id/tlCity">

                <com.google.android.material.textfield.MaterialAutoCompleteTextView
                    android:id="@+id/spState"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:inputType="text"
                    android:textColorHint="@color/greyColor2"
                    android:textSize="@dimen/text_size_14"
                    tool:ignore="TextContrastCheck" />

            </com.google.android.material.textfield.TextInputLayout>


            <CheckBox
                android:id="@+id/cbCheck"
                android:layout_width="@dimen/margin_48"
                android:layout_height="@dimen/margin_48"
                android:layout_marginTop="@dimen/margin_20"
                android:layout_marginEnd="@dimen/margin_25"
                android:buttonTint="@color/black"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@id/tlState" />

            <TextView
                android:id="@+id/byClicking"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/margin_45"
                android:layout_marginTop="@dimen/margin_25"
                android:text="@string/byClicking"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toEndOf="@+id/cbCheck"
                app:layout_constraintTop_toBottomOf="@id/tlState" />

            <TextView
                android:id="@+id/tvTermsAndCondition"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/margin_45"
                android:layout_marginTop="@dimen/margin_5"
                android:text="@string/terms_and_conditions"
                android:textColor="@color/blue1"
                app:layout_constraintStart_toEndOf="@+id/tvPrivacyPolicy"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@id/byClicking" />


            <TextView
                android:id="@+id/tvPrivacyPolicy"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/margin_5"
                android:layout_marginTop="@dimen/margin_5"
                android:text="@string/privacyPolicy"
                android:textColor="@color/blue1"
                app:layout_constraintStart_toEndOf="@+id/tvTermsAndCondition"
                app:layout_constraintTop_toBottomOf="@id/byClicking" />

            <TextView
                android:id="@+id/tvAnd"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/margin_5"
                android:layout_marginTop="@dimen/margin_5"
                android:text="@string/and"
                app:layout_constraintStart_toEndOf="@+id/tvPrivacyPolicy"
                app:layout_constraintTop_toBottomOf="@id/byClicking" />

            <TextView
                android:id="@+id/tvAgreement"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/margin_45"
                android:layout_marginTop="@dimen/margin_5"
                android:text="@string/agreement"
                android:textColor="@color/blue1"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@id/tvTermsAndCondition" />

        </androidx.constraintlayout.widget.ConstraintLayout>

    </androidx.core.widget.NestedScrollView>

    <com.google.android.material.button.MaterialButton
        android:id="@+id/btnBack"
        android:layout_width="@dimen/margin_120"
        android:layout_height="wrap_content"
        android:layout_marginStart="@dimen/margin_20"
        android:layout_marginBottom="@dimen/margin_35"
        android:backgroundTint="@color/white"
        android:text="@string/back"
        android:textColor="@color/red"
        app:cornerRadius="@dimen/margin_15"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintStart_toStartOf="parent" />

    <com.google.android.material.button.MaterialButton
        android:id="@+id/btnNext"
        android:layout_width="@dimen/margin_200"
        android:layout_height="wrap_content"
        android:layout_marginStart="@dimen/margin_30"
        android:layout_marginEnd="@dimen/margin_20"
        android:layout_marginBottom="@dimen/margin_35"
        android:backgroundTint="@color/red"
        android:text="@string/next"
        android:textColor="@color/white"
        app:cornerRadius="@dimen/margin_15"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@+id/btnBack" />

    <TextView
        android:id="@+id/text"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="@dimen/margin_150"
        android:layout_marginBottom="@dimen/margin_20"
        android:text="@string/upNextHome"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/btnNext" />


</androidx.constraintlayout.widget.ConstraintLayout>